STRUCT W1_ASYNC_CMD(9)

NAME
struct_w1_async_cmd - execute callback from the w1_process kthread

SYNOPSIS

struct w1_async_cmd {
  struct list_head async_entry;
  void (* cb) (struct w1_master *dev, struct w1_async_cmd *async_cmd);
};

MEMBERS

async_entry
    link entry

cb
    callback function, must list_del and destroy this list before returning

DESCRIPTION

When inserted into the w1_master async_list, w1_process will execute the callback. Embed this into the structure with the command details.

AUTHOR

David Fries <David@Fries.net>
    Author.

COPYRIGHT